EFI PrintSmith Vision

EFI PrintSmith Vision
Powerful and affordable Print MIS
EFI PrintSmith™ Vision is the affordable print management solution that understands and automates print operational processes in franchise shops, small print shops, print-on-demand and in-plant facilities. View Image Gallery

 Mac    
     
Operating System:   OS X version 10.10, 10.10 Server, 10.11*, or 10.11 Server*
Memory:   16 GB (more memory will improve performance)
Hard Drive:   50 GB free space
Processor:   Intel Quad Core i7 2.3 GHz
 
Important: Macs running OSX 10.10 and higher do not have Java installed, which is required to install PrintSmith Vision. Download and install Java before starting the PrintSmith Vision Installer.

*If you currently use PrintSmith Vision and want to upgrade to OS X 10.11 (El Capitan), be sure to follow the instruction in “if you plan to upgrade to Macintosh OS X 10.11 (El Capitan)” on page 36 of the EFI PrintSmith Vision Installation and Upgrade Guide.


 Windows 64 bit    
     
Operating System:  

Windows 8, Windows 10*, Windows Server 2008 R2 (existing installations only, not new installations), Windows Server 2012 R2 Standard or Essentials**

Memory:   16 GB (more memory will improve performance)
Hard Drive:
  50 GB free space
Processor:
  Intel Quad Core i7 2.3 GHz

Important: *If you currently use PrintSmith Vision and want to upgrade to Windows 10, be sure to follow the instruction in “If you plan to upgrade to Windows 10” on page 36 of the EFI PrintSmith Vision Installation and Upgrade Guide, to successfully complete the installation.

** If you use Internet Explorer 11 on Windows Server 2012, some additional configuration may be required. See page 41 of the EFI PrintSmith Vision Installation and Upgrade Guide.




     
Browser:   -Internet Explorer 10 or 11
-Firefox® 40.x or later
-Safari® 7.x or later
-Chrome™ 41 or later
Screen / Monitor:   - 19 inch
- Minimum resolution of 1280 x 1024
Network:   - 100 base T Ethernet
Internet:   - Required for initial licensing of software
- Required for upgrades and upgrade licenses
- Payment plan users are required to have internet connectivity during defined periods of plan
- Required during interaction with EFI support team


Important: If you were already using an earlier version of PrintSmith Vision, but want to upgrade to version 3.4, you update your existing installation by running the 3.4 installer. You must, however, be updating from PrintSmith Vision 3.2 or 3.2.1, not a pre-3.2 version.


Contact Us
Looking for additional information?

We know making a decision to transform your business is not easy. At EFI, we’ve helped thousands of customers select the right technology to grow, transform and automate their business practices. We’re always ready to talk about your goals and how our products can help.